# fastman3-component-keyboard

## CHANGELOG

### v 1.0.0 - 2021.4.23

1. 初始化构建

### v 1.0.1 - 2021.5.20

1. 新增取消回调函数实现

---

#### 安全键盘

## 使用方式

### 安装
`cnpm install fastman3-component-keyboard`

```js
// 头部引入
import { Securekeyboard } from "fastman3-component-keyboard"
```

```css
// 入口 scss 引入样式文件
@import "~fastman3-component-keyboard/es/index.scss";
```

```jsx
// View
const Keyboard: FC<KeyboardProps> = () => {
  async function checkLogin() {
    console.log("aaa");
    try {
      const result = await webShortLogin();
      console.log("整个二级登录流程结束", result);
    } catch (e) {
      console.log("afdfdfdfd", e);
    }
  }
  return (
    <View className="keyboard-page">
      <View className="iconfont icondaxiaoxie"></View>
      <Securekeyboard />
      <AtButton onClick={checkLogin}>查询二级登录状态-测试</AtButton>
    </View>
  );
};
```
